<?php
/**
* Loader options
*
* @package Theme Palace
* @subpackage Kids Education Pro
* @since Kids Education Pro 1.0
*/

$wp_customize->add_section( 'kids_education_pro_loader', array(
	'title'               => esc_html__( 'Loader','kids-education-pro' ),
	'description'         => esc_html__( 'Loader section options.', 'kids-education-pro' ),
	'panel'               => 'kids_education_pro_theme_options_panel'
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[loader_enable]', array(
	'sanitize_callback'   => 'kids_education_pro_sanitize_checkbox',
	'default'             => $options['loader_enable']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[loader_enable]', array(
	'label'               => esc_html__( 'Enable loader', 'kids-education-pro' ),
	'section'             => 'kids_education_pro_loader',
	'type'                => 'checkbox',
) );

// Loader icons setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[loader_icon]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['loader_icon'],
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[loader_icon]', array(
	'label'           => esc_html__( 'Icon', 'kids-education-pro' ),
	'description'       => sprintf( esc_html__( 'Example fa-refresh see more at %1$s Font awesome %2$s.', 'kids-education-pro' ), '<a target="_blank" href="'.esc_url( 'http://fontawesome.io/icons/' ).'">', '</a>' ),
	'section'         => 'kids_education_pro_loader',
	'active_callback' => 'kids_education_pro_is_loader_enable',
) );